/*******************************************************************************
				Neoinput
				========

		Copyright (C) 2010 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#ifndef CONFIG_H
#define CONFIG_H

#define SOFTWARE "neoinput"
#define VERSION "0.1"
#define DESCRIPTION "use your Neo FreeRunner as an input device !"
#define COPYRIGHT "Copyright (C) 2010 Paul Kocialkowski, GNU GPL 3.0"

#define SERVER_CONFIG		"neoinput_server.conf"
#define INPUT_PRESET_DIR	"./"

#define DEVICE_ID_TOUCH		1
#define DEVICE_ID_ACCEL		2
#define DEVICE_ID_BUTTON_AUX	3
#define DEVICE_ID_BUTTON_POWER	4

#define DEFAULT_IP	"192.168.1.200"
#define DEFAULT_PORT	3334

#define STATUS_ERROR	0
#define STATUS_OK	1

#define POLL_TIMEOUT 10

#endif
